# frozen_string_literal: true

module CodebreakerRuban
  class Message
    class << self
      def display(message)
        puts message
      end

      def error_name_size(range)
        I18n.t('errors.error_name_size', min: range.first, max: range.last)
      end

      def error_difficulty
        puts I18n.t('errors.error_difficulty')
      end

      def error_guess_code
        I18n.t('errors.error_guess_code')
      end

      def greeting
        puts I18n.t(:greeting)
      end

      def choice_option(stats, rules, start, exit)
        puts I18n.t(:choice_option, stats: stats, rules: rules, start: start, exit: exit)
      end

      def rules
        puts I18n.t(:rules)
      end

      def wrong_command
        puts I18n.t(:wrong_command)
      end

      def enter_name
        puts I18n.t(:enter_name)
      end

      def choice_difficulty(easy, medium, hell)
        puts I18n.t(:choice_difficulty, easy: easy, medium: medium, hell: hell)
      end

      def enter_code
        puts I18n.t(:enter_code)
      end

      def goodbye
        puts I18n.t(:goodbye)
      end

      def ended_attempts
        puts I18n.t(:ended_attempts)
      end

      def save
        puts I18n.t(:save)
      end

      def result_save
        puts I18n.t(:result_save)
      end

      def restart
        puts I18n.t(:restart)
      end

      def statistic_empty
        puts I18n.t(:statistic_empty)
      end

      def show_stats(**value)
        puts I18n.t(:show_stats, **value)
      end

      def win
        puts I18n.t(:win)
      end

      def lose
        puts I18n.t(:lose)
      end

      def show_secret_code(secret_code)
        puts I18n.t(:show_secret_code, secret_code: secret_code)
      end
    end
  end
end
