# frozen_string_literal: true

module CodebreakerRuban
  class User
    include Validation
    attr_accessor :errors
    attr_reader :name

    RANGE_NAME = (3..20).freeze

    def initialize(name)
      @name = name
      @errors = []
    end

    def validate(name)
      return errors << Message.error_name_size(RANGE_NAME) unless size(name, RANGE_NAME)
    end
  end
end
